%define upstream_name    Module-Format
%define upstream_version v0.0.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert and manipulate stringified versions of Perl modules
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module-Format is a set of Perl modules and the accompanying perlmf command line
utility that can be used to output consistetly formatted named of Perl modules
for input in applications. So one can do:

urpmi --auto $(perlmf as_rpm_c "$@")

to install perl dependencies using urpmi (and many other uses).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/perlmf
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.0.5-2.mga4
+ Revision: 527093
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.0.5-1.mga4
+ Revision: 439546
- update to v0.0.5

* Sun Jan 13 2013 umeabot <umeabot> 0.0.4-7.mga3
+ Revision: 369798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 0.0.4-6.mga3
+ Revision: 314472
- Fix shabang for new perl (for good this time)

* Fri Aug 24 2012 jquelin <jquelin> 0.0.4-5.mga3
+ Revision: 283545
- perl 5.16.1 rebuild

* Thu Aug 23 2012 shlomif <shlomif> 0.0.4-4.mga3
+ Revision: 283316
- Rebuild for new perl interpreter

* Thu May 31 2012 shlomif <shlomif> 0.0.4-3.mga3
+ Revision: 252199
- Rebuild perlmf due to new path  of perl interpreter

* Fri Oct 14 2011 jquelin <jquelin> 0.0.4-2.mga2
+ Revision: 155131
- perl 5.14.2 rebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.0.4-1.mga2
+ Revision: 112197
- update to v0.0.4

* Sun Jun 19 2011 jquelin <jquelin> 0.0.3-2.mga2
+ Revision: 109888
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 0.0.3-1.mga1
+ Revision: 28644
- mageia rebuild
- imported package perl-Module-Format


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 606858
- Upgraded to 0.0.3

* Sun Nov 28 2010 Shlomi Fish <shlomif@mandriva.org> 0.0.2-2mdv2011.0
+ Revision: 602592
- Bumped the release number
- Fixed the information
- import perl-Module-Format

